space_component_const< T, M >

## Public Types

typedef space_basic< T, M >::size_type | size_type

## Public Member Functions

| space_component_const (const space_constitution< T, M > &sc, size_type i_comp)
| space_component_const (const space_component< T, M > &x)
| operator space_basic< T, M > () const

## Protected Attributes

const space_constitution< T, M > & | _constit
size_type | _i_comp

## Static Protected Attributes

static const size_type | _unset = std::numeric_limits<size_type>::max()

## Detailed Description

### template<class T, class M>
class rheolef::space_component_const< T, M >

Definition at line 84 of file space_component.h.

## Member Typedef Documentation

## size_type

typedef space_basic<T,M>::size_type size_type

Definition at line 87 of file space_component.h.

## Constructor & Destructor Documentation

## space_component_const() [1/2]

space_component_const | ( | const space_constitution< T, M > & | sc,
|  | size_type | i_comp
| ) |  |

Definition at line 91 of file space_component.h.

## space_component_const() [2/2]

space_component_const | ( | const space_component< T, M > & | x | ) |

Definition at line 95 of file space_component.h.

## Member Function Documentation

## operator space_basic< T, M >()

operator space_basic< T, M > | ( |  | ) | const

Definition at line 100 of file space_component.h.

## Member Data Documentation

## _unset

const size_type _unset = std::numeric_limits<size_type>::max()

static protected

Definition at line 115 of file space_component.h.

## _constit

const space_constitution<T,M>& _constit

protected

Definition at line 117 of file space_component.h.

## _i_comp

size_type _i_comp

protected

Definition at line 118 of file space_component.h.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/space.h
- /build/rheolef-FQTnje/rheolef-7.1/main/lib/space_component.h